Results 1 to 14 of 14

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: tmobile question

  1. #1
    Default tmobile question
    I know I can use an iphone with a tmobile sim card but can I do it with a pre-existing sim card? one thats already been activated or would I need to get a whole new phone to do this?

  2. #2
    Livin the iPhone Life
    Join Date
    May 2008
    Posts
    8,021
    Thanks
    102
    Thanked 789 Times in 731 Posts

    Any active T-Mobile sim will work No problem.
    It will work as long as your iPhone is factory unlocked or unlocked by Ultrasn0w for any sim usage.

  3. #3
    Green Apple infinitypark003's Avatar
    Join Date
    Jun 2011
    Location
    Guam and Philippines
    Posts
    47
    Thanks
    0
    Thanked 3 Times in 3 Posts

    Any SIM card would work, as long as the SIM is still active and your iPhone is unlocked via Ultrasn0w or Factory Unlock. Although, you will not get 3G Coverage because T-Mobile uses a different Frequency, which the iPhone does not support. Your best bet is GPRS/EDGE/GSM. Slower speed, but you will get Coverage.
    Twitter | @infinitypark003
    YouTube Channel | Infinitypark003

  4. #4
    Livin the iPhone Life Chula's Avatar
    Join Date
    Dec 2010
    Location
    New York
    Posts
    1,297
    Thanks
    4,318
    Thanked 864 Times in 484 Posts

    Or u can get u a gavey sim if u can' t unlock the phone is what I'm using and I'm doing ok for now the only thing like infinitypark003 said the Internet is really slow so I use wifi all the time
    Last edited by Chula; 2011-09-08 at 09:25 AM.

  5. #5
    okay so i unlocked it with redsnow for 4.2.1? and im not getting service with my tmobile sim do i need to restart the process and update the baseband or??

  6. #6
    Livin the iPhone Life
    Join Date
    May 2008
    Posts
    8,021
    Thanks
    102
    Thanked 789 Times in 731 Posts

    What is your modem firmware versions:
    Settings / General / About / Modem Firmware?
    It needs to be 5.13.x and below ... or 1.59.x .... or 6.15.x to unlock.

    If the baseband is listed above, install Ultrasn0w via Cydia to unlock.

  7. #7
    its 05.15.04 so i just use ultrasnow? do i need the sim in the phone while i install??

  8. #8
    Livin the iPhone Life
    Join Date
    May 2008
    Posts
    8,021
    Thanks
    102
    Thanked 789 Times in 731 Posts

    5.15 is NOT unlockable, sorry.

    The only way to unlock it is install the iPad 6.15.0 baseband.
    Warning: This will break GPS. Location services will work, but GPS accuracy is lost forever.

  9. #9
    Green Apple
    Join Date
    Mar 2009
    Location
    Manchester, UK
    Posts
    39
    Thanks
    1
    Thanked 0 Times in 0 Posts

    You will need to disable 3G as well, if you don't you wont receive any service.

  10. #10
    i dont ever use gps o.O i cant use fuzzyband cause my bootloader is 06.04 so i guess im screwed i pretty much have to use redsn0w and clock the ipad baseband box?

  11. #11
    Livin the iPhone Life
    Join Date
    May 2008
    Posts
    8,021
    Thanks
    102
    Thanked 789 Times in 731 Posts

    Yes. It should be quick and easy. Use only one (1) option, install iPad baseband.

  12. #12
    okay as soon as i can use someones lappy again ill do that I cant install itunes on the schools computers for whatever reason -.-

  13. #13
    Livin the iPhone Life
    Join Date
    May 2008
    Posts
    8,021
    Thanks
    102
    Thanked 789 Times in 731 Posts

    Good show. Unfortunately, iTunes is required.
    Let us know how it turns out

  14. #14
    i definetly will! hopefully well since im growing tired of this pos phone ive been forced to use >.<

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •